# Method Protocols.HTTP.Session()->Request()->do_async()

Method do_async

  ``Request` do_async(`array`(`string`|`int`|`mapping`) `args`)`

Description

  Start a request asyncroneously. It will perform in the background using callbacks (make sure the backend thread is free). Call set_callbacks to setup the callbacks. Get arguments from prepare_method.

Returns

  The called object.

See also

  set_callbacks, prepare_method, do_sync, do_thread